> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/august-2025/august-29/composite-products-in-api.md).

# Composite products in API

#### What's new

A new feature of composite products allows you to configure different product bundles available for purchase. Product bundles can include base products or product variations in any specified quantity.

#### Changes in API

New fields available for <mark style="color:green;">`GET`</mark> <mark style="color:blue;">`POST`</mark> `/products` calls:

* `compositeParents` - **read-only** field that tells if this product is a part of any composite products by listing the IDs of composite products where it's used.
* `compositeComponents` - array of objects, where each object can have `productId`, `combinationId`, and `quantity` fields. If this array is not empty, the product is considered a composite product.

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/E1FL8BOLRXb6w5opqDUP" %}
[Search products](/api-reference/rest-api/products/search-products.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/cfkFmqKipnNyuBohdz0h" %}
[Get product](/api-reference/rest-api/products/get-product.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/ONcBiw3OeuQ52mRR6Peq" %}
[Create product](/api-reference/rest-api/products/create-product.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/august-2025/august-29/composite-products-in-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
